#
# spec file for package latte-dock
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017  Smith AR <audoban@openmailbox.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.30.0
Name:           latte-dock
Version:        0.7.4
Release:        lp150.1.3
Summary:        Task manager
License:        GPL-2.0+
Group:          System/GUI/KDE
URL:            https://github.com/psifidotos/Latte-Dock
Source:         latte-dock-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libSM-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5Archive) >= %{kf5_version}
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5Wayland) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(KF5XmlGui) >= %{kf5_version}
BuildRequires:  cmake(Qt5X11Extras) >= 5.7.0
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(zlib)
%if 0%{?is_opensuse}
BuildRequires:  update-desktop-files
%endif
Recommends:     %{name}-lang

%description
Latte is a dock based on plasma frameworks that animating its
contents by using parabolic zoom effect.

%lang_package

%prep
%setup -q

%build
%if 0%{?suse_version} <= 1315
   %cmake_kf5 -d build -- -DENABLE_MAKE_UNIQUE=ON
%else
   %cmake_kf5 -d build
%endif

%make_jobs

%install
%kf5_makeinstall -C build
%find_lang %{name} --all-name
%if 0%{?is_opensuse}
%suse_update_desktop_file -r org.kde.%{name} Utility DesktopUtility
%endif
%fdupes %{buildroot}

%files
%doc README.md
%doc COPYING.LIB
%{_kf5_bindir}/%{name}
%{_kf5_plasmadir}/
%{_kf5_qmldir}/
%{_kf5_servicesdir}/
%{_kf5_sharedir}/dbus-1/interfaces/
%{_kf5_notifydir}/
%{_kf5_iconsdir}/hicolor/24x24/
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.svg
%{_kf5_iconsdir}/breeze/
%{_kf5_sharedir}/metainfo/
%{_kf5_applicationsdir}/org.kde.%{name}.desktop

%files lang -f %{name}.lang

%changelog
* Sat Mar 17 2018 wbauer@tmo.at
- Update to 0.7.4
  * new improved image patterns for edit mode
  * support v0.8 layout files in order to not break compatibility
  * use an svg file for Latte trademark in settings window instead
    of a font
  * fix for multi-screen environments
  * fix parabolic effect in some corner cases
  * import v0.6 launchers to v0.7 only once
  * improve bouncing anchoring
- Requires at least Qt 5.7.0 to build
* Sun Jan  7 2018 mvourlakos@gmail.com
- update to v0.7.3
  * support RTL languages
  * fix crash occuring from badges
  * improve shadow behavior and calculations for corner cases
  * support "nomad systray" and "kdeconnect sms" in Latte
    heuristics
  * expand applets when clicked at neutral areas
  * shrink a bit the task number
  * support Fitt's Law in more corner cases
  * execute Latte at the same time between different users
  * ignore X11 signals that are sent with no reason
    (e.g. Firefox 57 upstream bug:
    https://bugzilla.mozilla.org/show_bug.cgi?id=1389953)
  * take into account the applets shadow size for mask calculations
* Wed Jan  3 2018 jengelh@inai.de
- Ensure neutrality of description.
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Rename to latte-dock.spec
- Add a .changes file
- Run spec-cleaner
- Split into -lang subpackage
- Don't use %%fdupes with -s
